Subject: [PATCH] Update some Java packages

From: Julien Lepiller <[email-masked]>
Date: Sat, 25 Feb 2023 21:26:58 +0100

Hi Guix!

When opening josm I've been greeted for some time with a message saying
support for our Java version is going to be dropped soon. Indeed, we use
icedtea as our default JDK, instead of the more recent openjdks.

This patch series updates some old packages that do not build with
newer Java versions, as well as maven because why not. It doesn't mean
we're ready to change the default jdk after this series, but we get
closer to it :D